<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_PackageAvailAdvancedOptions StructType
 * @subpackage Structs
 */
class JP_PackageAvailAdvancedOptions extends JP_AvailAdvancedOptions
{
    /**
     * The ShowOnlyAvailable
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowOnlyAvailable;
    /**
     * Constructor method for JP_PackageAvailAdvancedOptions
     * @uses JP_PackageAvailAdvancedOptions::setShowOnlyAvailable()
     * @param bool $showOnlyAvailable
     */
    public function __construct($showOnlyAvailable = null)
    {
        $this
            ->setShowOnlyAvailable($showOnlyAvailable);
    }
    /**
     * Get ShowOnlyAvailable value
     * @return bool|null
     */
    public function getShowOnlyAvailable()
    {
        return $this->ShowOnlyAvailable;
    }
    /**
     * Set ShowOnlyAvailable value
     * @param bool $showOnlyAvailable
     * @return \StructType\JP_PackageAvailAdvancedOptions
     */
    public function setShowOnlyAvailable($showOnlyAvailable = null)
    {
        // validation for constraint: boolean
        if (!is_null($showOnlyAvailable) && !is_bool($showOnlyAvailable)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showOnlyAvailable, true), gettype($showOnlyAvailable)), __LINE__);
        }
        $this->ShowOnlyAvailable = $showOnlyAvailable;
        return $this;
    }
}
